package jnet.lib;

import jnet.lib.object.Event;
import java.util.Comparator;

public class EventComparator implements Comparator<Event> {

    @Override
    public int compare(Event t1, Event t2) {
        /*
        int fromResult = Long.compare(t1.getFrom(), t2.getFrom());
        if (fromResult == 0) {
            return fromResult;
        }
        //return fromResult;

        return Long.compare(t1.getTo(), t2.getTo());
        */
        return Long.compare(t1.getStart(), t2.getStart());
    }

}
